/* indirection.cpp illustrates indirection and pointer variables.

   Output: addresses of memory locations and the integers 
           stored there
----------------------------------------------------------------*/

#include <iostream>
using namespace std;

int main()
{
   int i = 11, 
       j = 22,
       k = 33;

   int * iPtr = &i,
       * jPtr = &j,
       * kPtr = &k;

   cout << "\nAt address " << iPtr
        << ", the value " << *iPtr << " is stored.\n"
        << "\nAt address " << jPtr
        << ", the value " << *jPtr << " is stored.\n" 
        << "\nAt address " << kPtr
        << ", the value " << *kPtr << " is stored.\n";
}
